#if GCS_PROTOCOL == -1
// A quieter GCS...
byte out_buffer[32];

void print_current_waypoints()
{
	Serial.print("PWP:");
	Serial.print("\t");
	Serial.print(prev_WP.lat,DEC);
	Serial.print(",\t");
	Serial.print(prev_WP.lng,DEC);
	Serial.print(",\t");
	Serial.println(prev_WP.alt,DEC);

	Serial.print("CUR:");
	Serial.print("\t");
	Serial.print(current_loc.lat,DEC);					
	Serial.print(",\t");
	Serial.print(current_loc.lng,DEC);					
	Serial.print(",\t");
	Serial.println(current_loc.alt,DEC);					
	
	Serial.print("NWP:");
	Serial.print(wp_index,DEC);
	Serial.print(",\t");
	Serial.print(next_WP.lat,DEC);
	Serial.print(",\t");
	Serial.print(next_WP.lng,DEC);
	Serial.print(",\t");
	Serial.println(next_WP.alt,DEC);
}

void print_position(void)
{
}

void printPerfData(void)
{
}

void print_attitude(void)
{
}


// required by Groundstation to plot lateral tracking course 
void print_new_wp_info()
{
}

void print_control_mode(void)
{
	switch (control_mode){
		case MANUAL:
			Serial.println("###MANUAL\t0***");
			break;
		case STABILIZE:
			Serial.println("###STABILIZE\t1***");
			break;
		case CIRCLE:
			Serial.println("###CIRCLE\t1***");
			break;
		case FLY_BY_WIRE_A:
			Serial.println("###FLY BY WIRE A\t2***");
			break;
		case FLY_BY_WIRE_B:
			Serial.println("###FLY BY WIRE B\t2***");
			break;
		case AUTO:
			Serial.println("###AUTO\t5***");
			break;
		case RTL:
			Serial.println("###RTL\t6***");
			break;
		case LOITER:
			Serial.println("###LOITER\t7***");
			break;
	}
}

#endif